//  main: main.less, out: ../style.css

/* ====================================================================================================================================
OBJECTS
======================================================================================================================================*/

// BUTTONS
.o-button {
    display: inline-block;
    min-width: 120px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    padding: 0 10px;
    background-color: @color-primary;
    margin: @margin__s auto;
    color: white;
    text-transform: uppercase;
    font-size: @size__s;
    font-weight: @font_w__b;
    .u-border-radius(20px);
    .transition-elastic--long;
    &.o-button_light {
        background-color: white;
        color: @color-primary;
        &:hover {
            background-color:darken(white, 10%);
        }
    }
    &:hover {
        background-color:darken(@color-primary, 10%);
    }
}
.o-button_circle {
    display: block;
    background-color: @color-primary;
    background-image: url('./images/ic_arrow.svg');
    background-repeat: no-repeat;
    background-size: 18px;
    background-position: center;
    height: 40px;
    width: 40px;
    .u-border-radius(100%);
    .transition-elastic--long;

    &:hover {
        .u-transform(translateX(10%));
    }

    &.o-button_light {
        background-color: @color-white;
        background-repeat: no-repeat;
        background-size: 18px;
        background-position: center;
        background-image: url('./images/ic_arrow__dark.svg');
    }

    &.o-button_download {
        background-color:#0DB11F ;
        background-repeat: no-repeat;
        background-size: 10px;
        background-position: center;
        background-image: url('./images/ic_arrow__download.svg');
        &:hover {
            .u-transform(translateY(10%));
        }
    }
}

// JAVASCRIPT CLASS
.js-hideOnScroll {
    opacity: 1;
    .transition-elastic--long;

    @media @media_smartphone, @media_tablet, @media_landascape {
        &.isScrolled {
            opacity: 0;
        }
    }

}

.js-appear {
    opacity: 1;
    .u-transform(translateY(0));
    transition: all 1s cubic-bezier(0.4, 0.0, 0.2, 1);

        &.hidden {
            opacity: 0;
            .u-transform(translateY(50px))
        }
}